import { BaseNode } from '../../base';
declare class StartNodeModel extends BaseNode.model {
    /**
     * 获取节点的名称
     */
    getNodeName(): any;
    /**
     * 获取节点的抽象定义
     */
    getNodeAbstract(): {
        title: string;
        content: {
            desc: any;
            type: string;
        }[];
        showButton: boolean;
    };
    getNodeLogo(): any;
    getNodeClassName(): string;
}
declare const _default: {
    type: string;
    component: import('react').FC<import('@logicflow/react-node-registry').ReactNodeProps>;
    model: typeof StartNodeModel;
};
export default _default;
